/// <reference types="node" />
import { ConversationTurnEvent } from './types.js';
import type { ContentBlock } from '@aws-sdk/client-bedrock-runtime';
/**
 * This class is responsible for sending a response produced by Bedrock back to AppSync
 * in a form of mutation.
 */
export declare class ConversationTurnResponseSender {
    private readonly event;
    private readonly _fetch;
    /**
     * Creates conversation turn response sender.
     */
    constructor(event: ConversationTurnEvent, _fetch?: typeof fetch);
    sendResponse: (message: ContentBlock[]) => Promise<void>;
    private createMutationRequest;
}
//# sourceMappingURL=conversation_turn_response_sender.d.ts.map