/// <reference types="node" />
import { ExecutableTool } from '../types';
import type { ToolInputSchema, ToolResultContentBlock } from '@aws-sdk/client-bedrock-runtime';
import { DocumentType } from '@smithy/types';
/**
 * A tool that use GraphQl queries.
 */
export declare class GraphQlTool implements ExecutableTool {
    name: string;
    description: string;
    inputSchema: ToolInputSchema;
    private readonly graphQlEndpoint;
    private readonly query;
    private readonly accessToken;
    private readonly _fetch;
    /**
     * Creates GraphQl Tool
     */
    constructor(name: string, description: string, inputSchema: ToolInputSchema, graphQlEndpoint: string, query: string, accessToken: string, _fetch?: typeof fetch);
    execute: (input: DocumentType | undefined) => Promise<ToolResultContentBlock>;
}
//# sourceMappingURL=graphql_tool.d.ts.map