"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initMappingTemplate = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const ts_dedent_1 = require("ts-dedent");
const initMappingTemplate = () => {
    const req = createInitRequestFunction();
    const res = createInitResponseFunction();
    return { req, res };
};
exports.initMappingTemplate = initMappingTemplate;
const createInitRequestFunction = () => {
    const requestFunctionString = `
      export function request(ctx) {
        ctx.stash.defaultValues = ctx.stash.defaultValues ?? {};
        ctx.stash.defaultValues.id = util.autoId();
        const createdAt = util.time.nowISO8601();
        ctx.stash.defaultValues.createdAt = createdAt;
        ctx.stash.defaultValues.updatedAt = createdAt;
        return {
          version: '2018-05-09',
          payload: {}
        };
      }`;
    return graphql_transformer_core_1.MappingTemplate.inlineTemplateFromString((0, ts_dedent_1.dedent)(requestFunctionString));
};
const createInitResponseFunction = () => {
    const responseFunctionString = `
      export function response(ctx) {
        return {};
      }`;
    return graphql_transformer_core_1.MappingTemplate.inlineTemplateFromString((0, ts_dedent_1.dedent)(responseFunctionString));
};
//# sourceMappingURL=init-resolver.js.map