"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.listMessagePostDataLoadMappingTemplate = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const ts_dedent_1 = require("ts-dedent");
const listMessagePostDataLoadMappingTemplate = () => {
    const req = createListMessagePostDataLoadRequestFunction();
    const res = createListMessagePostDataLoadResponseFunction();
    return { req, res };
};
exports.listMessagePostDataLoadMappingTemplate = listMessagePostDataLoadMappingTemplate;
const createListMessagePostDataLoadRequestFunction = () => {
    const requestFunctionString = `
      export function request(ctx) {
        return {};
    }`;
    return graphql_transformer_core_1.MappingTemplate.inlineTemplateFromString((0, ts_dedent_1.dedent)(requestFunctionString));
};
const createListMessagePostDataLoadResponseFunction = () => {
    const responseFunctionString = `
      export function response(ctx) {
        const items = ctx.prev.result.items.reduce((acc, item) => {
            const userMessage = {
                ...item,
                role: "user",
                updatedAt: item.createdAt
            };
            delete userMessage.assistantContent;
            acc.push(userMessage);

            if (item.assistantContent) {
                const assistantMessage = {
                    ...item,
                    role: "assistant",
                    content: item.assistantContent,
                    createdAt: item.updatedAt,
                };
                delete assistantMessage.assistantContent;
                acc.push(assistantMessage);
            }

            return acc;
        }, []);
        return { ...ctx.prev.result, items };
    }`;
    return graphql_transformer_core_1.MappingTemplate.inlineTemplateFromString((0, ts_dedent_1.dedent)(responseFunctionString));
};
//# sourceMappingURL=list-message-post-data-load-resolver.js.map