"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.listMessageInitMappingTemplate = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const ts_dedent_1 = require("ts-dedent");
const listMessageInitMappingTemplate = () => {
    const req = createListMessageInitRequestFunction();
    const res = createListMessageInitResponseFunction();
    return { req, res };
};
exports.listMessageInitMappingTemplate = listMessageInitMappingTemplate;
const createListMessageInitRequestFunction = () => {
    const requestFunctionString = `
      export function request(ctx) {
        ctx.stash.metadata.index = 'gsi-ConversationMessage.conversationId.createdAt';
        return {};
    }`;
    return graphql_transformer_core_1.MappingTemplate.inlineTemplateFromString((0, ts_dedent_1.dedent)(requestFunctionString));
};
const createListMessageInitResponseFunction = () => {
    const responseFunctionString = `
      export function response(ctx) {
        return {};
    }`;
    return graphql_transformer_core_1.MappingTemplate.inlineTemplateFromString((0, ts_dedent_1.dedent)(responseFunctionString));
};
//# sourceMappingURL=list-messages-init-resolver.js.map