import { JSONSchema } from '@aws-amplify/graphql-transformer-core';
import { TransformerContextProvider } from '@aws-amplify/graphql-transformer-interfaces';
export type ToolDefinition = {
    name: string;
    description: string;
};
export type Tools = {
    tools: Tool[];
};
type GraphQLRequestInputDescriptor = {
    selectionSet: string;
    propertyTypes: Record<string, string>;
    queryName: string;
};
type Tool = {
    name: string;
    description: string;
    inputSchema: {
        json: JSONSchema;
    };
    graphqlRequestInputDescriptor?: GraphQLRequestInputDescriptor;
};
export declare const processTools: (toolDefinitions: ToolDefinition[], ctx: TransformerContextProvider) => Tools | undefined;
export {};
//# sourceMappingURL=tools.d.ts.map