"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRuntimeSpecificFunctionProps = exports.isJsResolverFnRuntime = void 0;
const cdk_compat_1 = require("../cdk-compat");
const isJsResolverFnRuntime = (runtime) => (runtime === null || runtime === void 0 ? void 0 : runtime.name) === 'APPSYNC_JS';
exports.isJsResolverFnRuntime = isJsResolverFnRuntime;
const getRuntimeSpecificFunctionProps = (scope, props) => {
    const { requestMappingTemplate, responseMappingTemplate, runtime, api } = props;
    const requestTemplateLocation = requestMappingTemplate.bind(scope, api.assetProvider);
    const responseTemplateLocation = responseMappingTemplate.bind(scope, api.assetProvider);
    if ((0, exports.isJsResolverFnRuntime)(runtime)) {
        return {
            runtime,
            code: requestTemplateLocation + '\n\n' + responseTemplateLocation,
        };
    }
    return {
        ...(requestMappingTemplate instanceof cdk_compat_1.InlineTemplate
            ? { requestMappingTemplate: requestTemplateLocation }
            : { requestMappingTemplateS3Location: requestTemplateLocation }),
        ...(responseMappingTemplate instanceof cdk_compat_1.InlineTemplate
            ? { responseMappingTemplate: responseTemplateLocation }
            : { responseMappingTemplateS3Location: responseTemplateLocation }),
    };
};
exports.getRuntimeSpecificFunctionProps = getRuntimeSpecificFunctionProps;
//# sourceMappingURL=function-runtime.js.map